Login
Newsletter
Werbung

Sicherheit: Mangelnde Eingabeprüfung in tomcat
Aktuelle Meldungen Distributionen
Name: Mangelnde Eingabeprüfung in tomcat
ID: SUSE-SU-2022:4193-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Server 12-SP2-BCL, SUSE Linux Enterprise Server 12-SP3-BCL
Datum: Mi, 23. November 2022, 23:30
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-42252
Applikationen: Apache Tomcat

Originalnachricht


SUSE Security Update: Security update for tomcat
______________________________________________________________________________

Announcement ID: SUSE-SU-2022:4193-1
Rating: important
References: #1204918
Cross-References: CVE-2022-42252
CVSS scores:
CVE-2022-42252 (NVD) : 7.5
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N
CVE-2022-42252 (SUSE): 6.5
CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:H

Affected Products:
SUSE Linux Enterprise Server 12-SP2-BCL
SUSE Linux Enterprise Server 12-SP3-BCL
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for tomcat fixes the following issues:

- CVE-2022-42252: Fixed a request smuggling (bsc#1204918).


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Server 12-SP3-BCL:

zypper in -t patch SUSE-SLE-SERVER-12-SP3-BCL-2022-4193=1

- SUSE Linux Enterprise Server 12-SP2-BCL:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2022-4193=1



Package List:

- SUSE Linux Enterprise Server 12-SP3-BCL (noarch):

tomcat-8.0.53-29.57.1
tomcat-admin-webapps-8.0.53-29.57.1
tomcat-docs-webapp-8.0.53-29.57.1
tomcat-el-3_0-api-8.0.53-29.57.1
tomcat-javadoc-8.0.53-29.57.1
tomcat-jsp-2_3-api-8.0.53-29.57.1
tomcat-lib-8.0.53-29.57.1
tomcat-servlet-3_1-api-8.0.53-29.57.1
tomcat-webapps-8.0.53-29.57.1

- SUSE Linux Enterprise Server 12-SP2-BCL (noarch):

tomcat-8.0.53-29.57.1
tomcat-admin-webapps-8.0.53-29.57.1
tomcat-docs-webapp-8.0.53-29.57.1
tomcat-el-3_0-api-8.0.53-29.57.1
tomcat-javadoc-8.0.53-29.57.1
tomcat-jsp-2_3-api-8.0.53-29.57.1
tomcat-lib-8.0.53-29.57.1
tomcat-servlet-3_1-api-8.0.53-29.57.1
tomcat-webapps-8.0.53-29.57.1


References:

https://www.suse.com/security/cve/CVE-2022-42252.html
https://bugzilla.suse.com/1204918
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung